package com.sf.day22;

import java.io.Serializable;

public class Employee implements Serializable {

    private static long height = 123L;
    private transient byte sex;
    private String name;
    private int age;
    private double weight;
    private boolean flag;

    public Employee() {
    }

    public Employee(byte sex, String name, int age, double weight, boolean flag) {
        this.sex = sex;
        this.name = name;
        this.age = age;
        this.weight = weight;
        this.flag = flag;
    }



    public static long getHeight() {
        return height;
    }

    public static void setHeight(long height) {
        Employee.height = height;
    }

    public byte getSex() {
        return sex;
    }

    public void setSex(byte sex) {
        this.sex = sex;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getAge() {
        return age;
    }

    public void setAge(int age) {
        this.age = age;
    }

    public double getWeight() {
        return weight;
    }

    public void setWeight(double weight) {
        this.weight = weight;
    }

    public boolean isFlag() {
        return flag;
    }

    public void setFlag(boolean flag) {
        this.flag = flag;
    }

    @Override
    public String toString() {
        return "Employee{" +
                "sex=" + sex +
                ", name='" + name + '\'' +
                ", age=" + age +
                ", weight=" + weight +
                ", flag=" + flag +
                '}';
    }
}
